#ifndef _MY_BUZZER_H
#define _MY_BUZZER_H

// Buzzer driver lib (PWM)
#include "driver/ledc.h"
// #include "esp_err.h"

#define GPIO_OUTPUT_SPEED LEDC_HIGH_SPEED_MODE


esp_err_t buzzer_init(uint8_t BuzzerPin, ledc_channel_t _channel_num,
                      ledc_timer_t _timer_num, float Freq);
void buzzer_tone(float Freq);
void buzzer_beep(uint BeepCount, float Freq, int OnPeriod, uint OffPeriod);

void buzzer_stop();
#endif